# coding: utf-8
=begin
 * Name: SiSU - Simple information Structuring Universe - Structured information, Serialized Units
 * Author: Ralph Amissah
   * http://www.jus.uio.no/sisu
   * http://www.jus.uio.no/sisu/SiSU/download
 * Description: Skin prepared for Little Brother, Cory Doctorow
 * License: Same as SiSU see http://www.jus.uio.no/sisu
 * Notes: Site default appearance variables set in defaults.rb
     Generic site wide modifications set here scribe_skin.rb, and this file required by other "scribes" instead of defaults.rb
=end
module SiSU_Viz
  require SiSU_lib + '/defaults'
  class Skin
    #% path
    def path_root                                                                     # the only parameter that cannot be changed here
      './sisu/'
    end
    def path_rel
      '../'
    end
    #% url
    def url_home
      'http://craphound.com/down'
    end
    def url_author
      'http://craphound.com'
    end
    def url_txt                                                                      # text to go with url usually stripped url
      'craphound.com/down'
    end
    #% color
    def color_band1
      '"#ffffff"'
    end
    #% text
    def text_hp
      'craphound.com/down'
    end
    def text_home
      'Down and Out in the Magic Kingdom'
    end
    #% icon
    def icon_home_button
      'magic_kingdom_doctorow.png'
    end
    def icon_home_banner
      icon_home_button
    end
    #% banner
    def banner_home_button
      %{<table summary="home button" border="0" cellpadding="3" cellspacing="0"><tr><td align="left" bgcolor=#{color_white}><a href="#{url_home}">#{png_home}</a></td></tr></table>\n}
    end
    def banner_home_and_index_buttons
      %{<table><tr><td width="20%"><table summary="home and index buttons" border="0" cellpadding="3" cellspacing="0"><tr><td align="left" bgcolor=#{color_white}><a href="#{url_home}" target="_top">#{png_home}</a></td><td width="40%"><center><table summary="buttons" border="1" cellpadding="3" cellspacing="0"><tr><td align="center" bgcolor="#f1e8de"><font face="arial" size="2"><a href="toc.html" target="_top">&nbsp;This&nbsp;text&nbsp;sub-&nbsp;<br />&nbsp;Table&nbsp;of&nbsp;Contents&nbsp;</a></font>#{table_close}</center></td><td width="20%">&nbsp;#{table_close}}
    end
    def banner_band
      %{<table summary="band" border="0" cellpadding="3" cellspacing="0"><tr><td align="left" bgcolor="#ffffff">
      <p class="tiny_left"><a href="#{url_home}/" target="_top">Down and Out in the Magic Kingdom</a></p>
      <p class="tiny_left"><a href="#{url_author}/" target="_top">Cory Doctorow</a></p>
      #{table_close}}
    end
    #def banner_band
    #  %{<table summary="band" border="0" cellpadding="3" cellspacing="0"><tr><td align="left" bgcolor=#{color_white}><a href="#{url_home}" target="_top">#{png_home}</a>#{table_close}}
    #end
    #% credits
    def credits_splash
      %{<table summary="credits" align="center" bgcolor="#ffffff"><tr><td><font color="black"><center>
<a href="http://craphound.com/down">The author's original pdf is available</a> at<br /><a href="http://craphound.com/down">craphound.com/down</a><br />
available at<br /><a href="http://www.amazon.com/Down-Magic-Kingdom-Cory-Doctorow/dp/076530953X">Amazon.com</a> and <br />
<a href="http://search.barnesandnoble.com/Down-and-Out-in-the-Magic-Kingdom/Cory-Doctorow/e/9780765309532">Barnes & Noble</a><br />
This book is Copyright Cory Doctorow © 2003<br />
Under a Creative Commons License,<br />
Attribution-NonCommercial-ShareAlike 1.0<br />
&lt;<a href="http://creativecommons.org/licenses/by-nc-sa/1.0/">http://creativecommons.org/licenses/by-nc-sa/1.0/</a>&gt;<br />
</center></font></td></tr></table>}
    end
  end
  class TeX
    def header_center
	    "\\chead{\\href{#{@vz.url_home}}{craphound.com/down}}"
    end
    def home_url
	    "\\href{#{@vz.url_home}}{craphound.com/down}"
    end
    def home
	    "\\href{#{@vz.url_home}}{Down and Out in the Magic Kingdom}"
    end
    def owner_chapter
      "Document owner details"
    end
  end
end
__END__
