# coding: utf-8
=begin
 * Name: SiSU - Simple information Structuring Universe - Structured information, Serialized Units
 * Author: Ralph Amissah
   * http://www.jus.uio.no/sisu
   * http://www.jus.uio.no/sisu/SiSU/download
 * Description: Document skin for "Free For All"
 * arch-tag: skin for an individual document set (wayner)
 * License: Same as SiSU see http://www.jus.uio.no/sisu
 * $Date$
 * $Id$
 * Notes: Site default appearance variables set in defaults.rb
     Generic site wide modifications set here scribe_skin.rb, and this file required by other "scribes" instead of defaults.rb
=end
module SiSU_Viz
  require "#{SiSU_lib}/defaults"
  class Skin
    #% path
    def path_root                                                                     # the only parameter that cannot be changed here
      './sisu/'
    end
    def path_rel
      '../'
    end
    #% url
    #def url_hp # used by wmap, get rid of ie make it seek home instead
    #  'http://www.wayner.org/books/ffa/'
    #end
    def url_home
      'http://www.wayner.org/books/ffa/'
    end
    def url_txt                                                                      # text to go with url usually stripped url
      'www.wayner.org'
    end
    #def url_root_http
      #root server path info, used in document information
    #end
    #% color
    def color_band1
      '"#000070"'
    end
    #% txt
    def txt_hp
      'www.wayner.org'
    end
    def txt_home
      'Peter Wayner'
    end
    #% icon
    def icon_home_button
      'wayner.home.png'
    end
    def icon_home_banner
      icon_home_button
    end
    def icon_next
      'arrow_next_blue.png'
    end
    def icon_previous
      'arrow_prev_blue.png'
    end
    def icon_up
      'arrow_up_blue.png'
    end
    #% banner
    def banner_home_button
      %{<table summary="home button" border="0" cellpadding="3" cellspacing="0"><tr><td align="left" bgcolor=#{color_yellow_dark}><a href="#{url_home}">#{png_home}</a></td></tr></table>\n}
    end
    def banner_home_and_index_buttons
      %{<table><tr><td width="20%"><table summary="home and index buttons" border="0" cellpadding="3" cellspacing="0"><tr><td align="left" bgcolor=#{color_yellow_dark}><a href="#{url_home}" target="_top">#{png_home}</a></td></tr></table></td><td width="60%"><center><center><table summary="buttons" border="1" cellpadding="3" cellspacing="0"><tr><td align="center" bgcolor="#f1e8de"><font face="arial" size="2"><a href="toc.html" target="_top">&nbsp;This&nbsp;text&nbsp;sub-&nbsp;<br />&nbsp;Table&nbsp;of&nbsp;Contents&nbsp;</a></font></td></tr></table></center></center></td><td width="20%">&nbsp;</td></tr></table>}
    end
    def banner_band
      %{<table summary="band" border="0" cellpadding="3" cellspacing="0"><tr><td align="left" bgcolor=#{color_yellow_dark}><a href="#{url_home}" target="_top">#{png_home}</a>#{table_close}}
    end
    #% credits
    def credits_splash
      %{<table summary="credits" align="center"bgcolor="#ffffff"><tr><td><font color="black"><center>Available at Amazon.com<br /><a href="http://www.amazon.com/exec/obidos/tg/detail/-/0066620503/"><img border="0" align="center" src="../_sisu/image/free.for.all.png" alt="Free For All at Amazon.com"></a><br />This book is Copyright © 2000 by Peter Wayner.<br />See <a href="http://www.wayner.org/books/ffa/">http://www.wayner.org/books/ffa/</a><br /><a href="mailto://p3@wayner.org">p3@wayner.org</a></center></font></td></tr></table>}
    end
  end
  class TeX
    def header_center
	    "\\chead{\\href{#{@vz.url_home}}{www.wayner.org}}"
    end
    def home_url
	    "\\href{#{@vz.url_home}}{www.wayner.org}"
    end
    def home
	    "\\href{#{@vz.url_home}}{Peter Wayner}"
    end
    def owner_chapter
      "Document owner details"
    end
  end
end
__END__
